=== debian/changelog ===
ibus-sunpinyin (2.0.2-0ubuntu1) maverick; urgency=low

  * Initial Ubuntu upload, LP: #631479, LP: #631466

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Mon, 06 Sep 2010 12:27:14 +0100

ibus-sunpinyin (2.0.2-1) experimental; urgency=low

  * Initial release (Closes: #587839)

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 19 Aug 2010 22:47:06 +0800
