=== debian/changelog ===
ibus-sunpinyin (2.0.3-5build3) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:48:14 +0000

ibus-sunpinyin (2.0.3-5build2) xenial; urgency=medium

  * No change rebuild with the new libsunpinyin soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Feb 2016 11:08:11 +0100

ibus-sunpinyin (2.0.3-5build1) saucy; urgency=low

  * No-change rebuild against ibus 1.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Jul 2013 21:44:11 -0400

ibus-sunpinyin (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Fix libexecdir. Closes: #712583

 -- Osamu Aoki <osamu@debian.org>  Wed, 19 Jun 2013 23:50:51 +0900

ibus-sunpinyin (2.0.3-4) unstable; urgency=low
  
  [YunQiang Su]
  * Rewrite debian/rules with dh 7 format.
  * Fix URL in debian/watch.
  * Add YunQiang Su to uploaders.
  * Bump to standard 3.9.3.

  [Liang Guo]
  * Add ${python:Depends} to Depends.
  * Add python to Build-Depends.
  * Call dh with python2.
  * Update Format in debian/copyright
  
 -- Liang Guo <bluestonechina@gmail.com>  Thu, 05 Apr 2012 21:09:49 +0800

ibus-sunpinyin (2.0.3-3) unstable; urgency=low

  * debian/copyright:
    - Update Format, add version information
    - Add Upstream-Contact
  * debian/control:
    - Add python-glade2 to depends(Closes: #649235)

 -- Liang Guo <bluestonechina@gmail.com>  Wed, 28 Dec 2011 23:20:49 +0800

ibus-sunpinyin (2.0.3-2) unstable; urgency=low

  * Add libibus-1.0-dev to build-depends, Remove libibus-dev(Closes: #640714)
  * Add build-arch and build-indep in debian/rules
  * Bump Standards-Version to 3.9.2
  * Update debian/copyright to fit DEP-5
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control
  
 -- Liang Guo <bluestonechina@gmail.com>  Fri, 09 Sep 2011 13:59:54 +0800

ibus-sunpinyin (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Upload to unstable.
  * Update VCS field in debian/control.
  * Remove README.source, it's no meaning now.

 -- Liang Guo <bluestonechina@gmail.com>  Sat, 19 Feb 2011 16:35:54 +0800
