=== debian/rules ===
#!/usr/bin/make -f
# Liang Guo <bluestonechina@gmail.com> 2010
# YunQiang Su <wzssyqa@gmail.com>, 2012
export DH_VERBOSE=1
SCONS=scons 

%:
	dh $@ --with python2

override_dh_auto_configure:

override_dh_auto_build:
	$(SCONS) --prefix=$(DEB_DESTDIR)/usr

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS)  -c
	rm -f .sconsign.dblite config.log configure.conf

override_dh_auto_install:
	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
