=== debian/watch ===
version=3
http://code.google.com/p/sunpinyin/downloads/list .*/ibus-sunpinyin-*\.*(.*)\.tar\.gz
