=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,4 @@
 import os
-import SCons.Tool.textfile
 
 sources = ['src/debug.cpp',
            'src/engine.cpp',
@@ -14,7 +13,7 @@
 
 locales = ['zh_CN']
 
-cflags = '-O2 -g -pipe'
+cflags = '-O2 -g -pipe '
 version = '2.0.3'
 
 AddOption('--prefix', dest='prefix', metavar='DIR',
@@ -42,7 +41,8 @@
 
 env = Environment(ENV=os.environ,
                   CFLAGS=cflags, CXXFLAGS=cflags, 
-                  CPPPATH=['.'], SUBSTFILESUFFIX='.in')
+                  CPPPATH=['.'],
+                  tools=['default', 'textfile'])
 opts.Update(env)
 
 if GetOption('prefix') is not None:
@@ -61,9 +61,6 @@
     env['DATADIR'] = GetOption('datadir')
 
 opts.Save('configure.conf', env)
-
-if GetOption('rpath') is not None:
-    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % GetOption('rpath'))
 
 envvar = [('CC', 'CC'),
           ('CXX', 'CXX'),
@@ -84,6 +81,9 @@
 
 env.Append(CFLAGS=extra_cflags)
 env.Append(CXXFLAGS=extra_cflags)
+
+if GetOption('rpath') is not None:
+    env.Append(LINKFLAGS=' -Wl,-R -Wl,%s' % GetOption('rpath'))
 
 #
 #==============================configure================================
@@ -125,9 +125,6 @@
     mo = 'po/%s.mo' % (locale,)
     env.Command(mo, [], 'msgfmt po/%s.po -o %s' % (locale, mo))
 
-# bug of scons...
-# it doesn't include textfile builders by default?
-SCons.Tool.textfile.generate(env)
 sub = {'@LIBEXEC_DIR@': bin_dir,
        '@DATA_DIR@' : data_dir,
        '@ICON_DIR@': icons_dir,
@@ -147,7 +144,7 @@
         env.AddPostAction(exec_bin, Chmod(str(exec_bin), 0755))
         
     setup_target = env.Install(data_dir + '/setup',
-                               ['setup/setup.glade',
+                               ['setup/setup.xml',
                                 'setup/main.py',
                                 'setup/config.py'])
     icons_target = env.Install(icons_dir,
@@ -173,3 +170,5 @@
 
 DoInstall()
 env.Alias('install', ['install-libexec', 'install-data', 'install-locale'])
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4
