=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
                ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml
     DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ibus/component")
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4
