=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,3 +24,5 @@
 
 install(TARGETS ibus-engine-sunpinyin
     RUNTIME DESTINATION ${LIBEXEC_DIR})
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4
