=== debian/changelog ===
ibus-sunpinyin (2.0.3+git20181120-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:09 +0100

ibus-sunpinyin (2.0.3+git20181120-5) unstable; urgency=high

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/patches/0004-SConstruct-Fix-python3-compatibility.patch:
    Fix compatibility with scons 3.1.2+. (Closes: #947565)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2020 12:59:01 -0500

ibus-sunpinyin (2.0.3+git20181120-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0003-Fix-upstream-issue-85: Rework again on the
    patch to fix issues introduced in the previous uploads. (really
    really closes: #929078).

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jun 2019 13:40:06 -0400

ibus-sunpinyin (2.0.3+git20181120-3) unstable; urgency=high

  * Team upload.
  * debian/patches/0003-Fix-upstream-issue-85: Rework on the patch
    to fix issues introduced in the previous upload. (really
    closes: #929078).

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jun 2019 12:07:21 -0400

ibus-sunpinyin (2.0.3+git20181120-2) unstable; urgency=high

  * Team upload.
  * debian/patches: Cherry-pick upstream patch to fix crashing
    when trying to save user settings. (Closes: #929078)

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Jun 2019 12:41:17 -0400

ibus-sunpinyin (2.0.3+git20181120-1) unstable; urgency=medium

  * Team upload.
  * New upstream git snapshot 20181120. (Closes: #883309)
    + Initially keep complete compatibility with python3 and
      gir1.2-ibus-1.0. (Closes: #769560)
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Update maintainer and use Debian Input Method Team email address.
      (Closes: #899547)
    + Update uploaders' email addresses and use @debian.org ones.
    + Update Vcs-* fields and use git repo under Salsa Debian Input
      Method Team group.
    + Update homepage and use GitHub project.
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Update dependencies and use the python3 toolchain.
      (Closes: #883154, #885307)
  * debian/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/watch: Removed, useless.
  * Debian/changelog: Remove trailing spaces.
  * debian/patches:
    - Remove append-os-environ-toenv.patch, merged upstream.
    + Add patch to use python3 in ibus-setup-sunpinyin script.
    + Refresh patches.
  * debian/copyright:
    + Refresh copyright information and fix grammar errors.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 15:38:43 -0500
