=== debian/control ===
Source: ibus-sunpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Liang Guo <guoliang@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 gir1.2-gtk-3.0,
 gir1.2-ibus-1.0,
 gobject-introspection,
 libibus-1.0-dev,
 libsunpinyin-dev (>= 2.0.3+git20120222-1~),
 pkg-config,
 python3:any,
 python3-gi,
 scons,
Standards-Version: 4.4.1
Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/ibus
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-sunpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-sunpinyin

Package: ibus-sunpinyin
Architecture: any
Depends:
 gir1.2-gtk-3.0,
 sunpinyin-data,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: sunpinyin engine for ibus
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the sunpinyin engine for ibus.
