=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,25 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+#
 # Liang Guo <bluestonechina@gmail.com> 2010
 # YunQiang Su <wzssyqa@gmail.com>, 2012
-export DH_VERBOSE=1
-SCONS=scons 
+#
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+SCONS=scons
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 
@@ -19,3 +33,6 @@
 
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
+
+override_dh_missing:
+	dh_missing --fail-missing
