## ibus-sunpinyin 2.0.3+git20210228

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
                                 COMMENT "Creating translations.")
 endif()
 
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4
