=== setup/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
     DESTINATION "${DATA_DIR}/setup")
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ibus-setup-sunpinyin
     DESTINATION ${LIBEXEC_DIR})
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4
