=== debian/changelog ===
ibus-sunpinyin (2.0.3+git20210228-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:21 +1100

ibus-sunpinyin (2.0.3+git20210228-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:07:28 +0000

ibus-sunpinyin (2.0.3+git20210228-1) unstable; urgency=medium

  * Team upload.
  * Import upstream embedded commit (20210228).
  * Remove Liang Guo from the uploaders list. (Closes: #961615)
    Thanks for all your work!
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Add versioned ibus dependency (>= 1.5.22-2)
    for libexecdir.
  * debian/rules: Drop --as-needed and useless override.
  * debian/patches:
    + Drop upstream-applied patches.
    + Update libexec patch following recent ibus update.
      (Closes: #955241)

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jun 2022 13:39:31 -0400
