=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ibus-sunpinyin
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
- Liang Guo <guoliang@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gir1.2-gtk-3.0,
  gir1.2-ibus-1.0,
@@ -14,10 +14,10 @@
  libibus-1.0-dev,
  libsunpinyin-dev (>= 2.0.3+git20120222-1~),
  pkg-config,
+ python3-gi,
  python3:any,
- python3-gi,
  scons,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/ibus
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-sunpinyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-sunpinyin
@@ -26,6 +26,7 @@
 Architecture: any
 Depends:
  gir1.2-gtk-3.0,
+ ibus (>= 1.5.22-2),
  sunpinyin-data,
  ${misc:Depends},
  ${python3:Depends},
