=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 SCONS=scons
 
@@ -26,13 +26,9 @@
 override_dh_auto_build:
 	$(SCONS) --prefix=$(DEB_DESTDIR)/usr
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(SCONS)  -c
 	rm -f .sconsign.dblite config.log configure.conf
 
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
-
-override_dh_missing:
-	dh_missing --fail-missing
